// file: $isip/class/pr/StatisticalModelAdaptation/smadp_01.cc
// version: $Id: smadp_01.cc 9459 2004-04-19 16:06:08Z gao $
//

// isip include files
//
#include "StatisticalModelAdaptation.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean StatisticalModelAdaptation::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // display the algorithm choice
  //
  output.debugStr(name(), msg_a, L"algorithm_d",
		  ALGO_MAP((long)algorithm_d));
  Console::put(output);

  // display the implementation name
  //
  output.debugStr(name(), msg_a, L"implementation_d",
                  IMPL_MAP.getName((long)implementation_d));
  Console::put(output);

  // display debug level
  //
  output.debugStr(name(), msg_a, L"debug_level_d", debug_level_d.getName());
  Console::put(output);
  
  // decrease indention
  //
  Console::decreaseIndention();

  // exit gracefully
  //
  return true;
}
